/**************************************************************************************************

Stats.h -- (C) Daniel Andrén, 2004

Defines some functions for printing statistics for MiniSat.

**************************************************************************************************/

#ifndef Stats_h
#define Stats_h

#define PROPF(n,p)  printf("c     %-9s: %5"I64_fmt" (%6.2f %%)\n",(n),(p), ((float)(p))/stats.prop[0]*100.0);
#define PROPF2(n,p)  printf("c %3d-%-9s: %5"I64_fmt" (%6.2f %%)\n",(n),"CNF",(p), ((float)(p))/stats.prop[0]*100.0);

void printStats(SolverStats& stats, double cpu_time);

#endif
